1. Onboarding
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle service
    • Debt Collection services
    • Accounting integrations
    • Print and Distribution service
      • Overview
    • Operations
      • Overview
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
        POST
      • Validate access token
        GET
      • Renew access token
        GET
    • Invoices
      • Introduction to Invoices
      • Create an invoice
      • Create an Invoice Action
      • Retrieve case details
      • Retrieve distribution Information
      • Retrieve distribution Information MV v2
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
        • Ledger
      • Payment
        • Payment
        • Payment
    • Operations
      • Retrieve Finvoice Credentials
  • Schemas
    • Finvoice Credentials Response
    • Invoice Header object
    • Invoice Parties
    • Invoice Attachments
    • InvoiceExtensions
    • Client Settings
    • Accounting
    • Address
    • BuyerParty
    • Collection
    • Collection Costs
    • Collection Interest
    • Contact
    • Contact Person
    • Definition Detail
    • Delivery Party
    • Distribution
    • Factoring
    • Interest
    • InvoiceAmounts
    • Invoice Content Data
    • Invoice Recipient Party
    • InvoiceReferences
    • InvoiceRowData
    • InvoiceTerms
    • PaymentData
    • Payment Details
    • PaymentState
    • PaymentTerms
    • Processing
    • SalesInvoiceRequest
    • Seller Party
Need help?
  1. Onboarding

Create a new client

POST
https://staging-integrations.confirmafinance.com/api/v1/partner/client
onboardingprovisioningclient
Use this endpoint to onboard a new client (creditor) into the Partner API and create their user account for the service.
The payload has three parts: service, client, and contacts.
Provisioning Token Needed
Send the Partner Provisioning Token as the API key in the X-Api-Key header.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Body Params application/jsonRequired

Example
{
	"service": {
		"type": "LIFECYCLE",
		"partnerCode": "QUICK3"
	},
    "client": {
		"name": "Test Customer Oy",
		"businessCode": "123456-7",
		"vatRegNbr": "FI1234567",
		"postalAddress": "Testikuja 7",
		"postalCode": "12345",
		"postalDistrict": "HELSINKI",
		"countryCode": "FI",
		"telephone": "",
		"email": "email@testcustomer.fi",
		"website": "",
		"languageCode": "FI",
		"currencyCode": "EUR",
		"ibanAccount": "",
		"bic": "",
		"bankgiro": "",
		"plusgiro": ""
	},
	"contacts": {
		"primary": {
			"name": "Matti Meikäläinen",
			"telephone": "",
			"mobile": "+358441234567",
			"email": "matti@testcustomer.fi"
		},
		"technical": {
			"name": "",
			"email": ""
		},
		"accountant": {
			"name": "",
			"email": ""
		}
	}
}

Responses

🟢200Success
application/json
Response when payload has been accepted and the new client has been generated by the service.
Bodyapplication/json

Example
{
    "message": "New client created",
    "clientIdentifier": 0,
    "confirmaFinanceCustomerCode": 0,
    "paymentReferencePrefix": 0,
    "apiAccessToken": "8848372d-8457-4ca4-9da9-673f1cdd6684"
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Previous
Introduction to onboarding
Next
Validate access token
Built with